Jump to content
_lol_

Prestashop 1.7.4 : Attention à la mise à jour qui déchire tout !!!

Recommended Posts

Le module 1-click-upgrade "officiel" est super, il me propose de mettre à jour de 1.7.3 vers 1.7.4 !

Je fais donc tout comme indiqué et puis… l'installation plante, l'installeur ne va pas jusqu'au bout, ne rend pas la main, et au rechargement de la page : page blanche !
Le site en front : page blanche ! Boutique décédée. Même pas possible de faire retour arrière alors que c'était pourtant prévu un peu plus bas dans la page du module.

Alors bien sûr, vous me direz :  ya les backups… Bien sûr, justement, j'avais que ça à faire de tout réinstaller à 2 jours des vacances.
Mais ensuite, comment je fais donc pour les mises à jour futures ??
Je refais confiance à 1-click-upgrade ? 

Je décide ensuite d'installer un prestashop 1.7.4 clean install pour une autre boutique : 
Une fois les fichiers décompressés par l'installeur, je me rends avec Transmit (client FTP sur mac) dans le dossier config, pour éditer defines.inc.php afin de passer le mode DEV à true, cela juste pour pouvoir choisir de NE PAS INSTALLER les produits démo ! 
(En effet, il semble que le module qui permettait de "nettoyer la base de prestashop" soit maintenant payant ! 
Donc tu développes ta boutique, tu fais des tests, et avant d'ouvrir officiellement le site, tu dois maintenant passer à la caisse pour pouvoir purger toutes les commandes de test… C'est aussi le module qui sert à contrôler et réparer l'intégrité de la base, je trouve ça… petit.)

Bref, l'installeur m'indique que mon serveur est compatible, la base aussi, et commence l'installation…
Et là, l'installeur plante lamentablement à 13% avec une flopée d'erreurs. 
(Alors le serveur est parfaitement paramétré, ya d'ailleurs un autre prestashop 1.7.3 qui tourne à côté. Je n'en suis pas à ma première fois)

Pourtant, c'est la version préconisée par prestashop soit-même ! Et je me rends compte que je ne suis pas tout seul : 

https://www.prestashop.com/forums/topic/857059-ps-174-error-with-clean-installation/

Prestashop est devenu hyper bon dans la vente de modules (même essentiels) mais pour le code, c'est quand même une autre affaire ! 

Moi je me débrouille, mais je pense au gars pas trop doué en informatique, qui a sa boutique, et qui clique là-dessus, confiant, parce que on lui préconise d'être à jour, ça permet d'être plus sécurisé, etc. c'est sur que ça va faire marcher le business !

 

Edited by _lol_ (see edit history)
  • Thanks 1

Share this post


Link to post
Share on other sites

D'où l'intérêt de rester en 1.6, cette 1.7 n'apporte rien,  au contraire il manque plein de modules et des fonctionnalités (à part pour les thèmes mais c'est beaucoup d'emmerde juste pour un thème)

  • Like 3

Share this post


Link to post
Share on other sites

Salut,

 

je te rassure j'ai moi aussi tenté la mise à jour avec le module 1-click-upgrade pour passer en 1.7.4  et c'est comme toi partis en cacahouète, plantage au bout de 10 secondes  page blanche et même mes sauvegardes ne voulait rien savoir, j'ai passé beaucoup de soirées et des week-end entiers sur cette boutique pour la voir mourir en 10 secondes et ce n'est pas la première fois.

J'ai tous de même réussi une nouvelle install toute propre avec la dernière version, il ma fallu quelques jours pour la remettre en état de fonctionnement, la ou ça fait le plus mal c'est les modules payant qui ne sont plus compatible avec cette nouvelle version, les trois mois de support étant finis je ne peux plus profiter des mises à jour, et la j'ai un peu mal au c.. seul solution d'après les développeurs des modules et de sortir la CB :(

Bon courage

Share this post


Link to post
Share on other sites

Je dirais qu'une mise à jour ce fait dans un environnement de DEV avant tout.

Mais +1 avec @Eolia pour la 1.7

  • Like 1

Share this post


Link to post
Share on other sites

@okom3pom :

Bonsoir, je me demandais si vous étiez de la team Prestashop pour faire une réponse pareil…

Alors si je vous comprends bien, c'est moi qui ai fauté car il ne faut pas faire de mise à jour une fois le site en ligne opérationnel ? 

Parce que j'ai lu dans différents endroits que surtout, il fallait bien faire les mises à jour pour se prémunir des problèmes de sécurité par exemple. Surtout si c'est prestashop qui le préconise, et fournit un bouton exprès pour ça.

On parle de mise à jour mineure là (1.7.3 à 1.7.4 donc). 

 

Ou alors, je dois expliquer à mon client que pour faire le "1-click-upgrade", il va falloir quelques heures : 

En gros donc, pour faire une mise à jour mineure "1-click-upgrade", on doit dupliquer la boutique (nouvel espace, nouvelle base, modification des configs/URLs toussa…) pour tenter la mise à jour, et si jamais celle-ci se passe bien retransférer ensuite sur la boutique existante !?.

C'est effectivement une manière d'envisager le "1-click-upgrade".

 

Il se trouve que le site en question est justement en cours de développement, dans un vrai environnement de DEV et même j'avais un backup !
Donc je ne suis pas à la rue non plus… Ça ne m'a pas empêché de perdre un paquet d'heures…

… et de n'être toujours pas arrivé à installer PS 1.7.4 en clean install !

 

Et je suppose que c'est pas gagné pour qu'un membre de la team Prestashop vienne m'expliquer pourquoi ce merdier ! 

Parce que j'en ai parcouru des forums relatifs au dev…, dans tous les languages/technos. Et faut quand même avouer que celui-ci bat des reccords. Quand face à la nullité de la documentation developpeur tu viens chercher des réponses ici, la plupart du temps comme réponse dans les threads tu trouves : 

- ah ben c'est gratuit, alors faut pas se plaindre…
- ah ben la solution c'est d'acheter tel module…
- pas réponse du tout

Bref, une communauté super conviviale quoi.

 

@stéphane : 

Merci pour le cadeau !

 

@Eolia : 

La 1.7 amène des changements non négligeables sur l'écriture des templates, ce qui est le gros de mon travail. Pour tous le reste, en effet, c'est plutôt des ennuis en plus.

 

 

 

 

  • Like 1

Share this post


Link to post
Share on other sites

Bonsoir _lol_

Vous ne trouverez pas sur ce forum un dev officiel de chez Prestashop. Et si c'est le cas, il se gardera bien de venir répondre à votre sujet.

Ceux présents, comme Eolia, Okom3pom & autres sont juste des bénévoles pour les réponses. Pour pousser le bouchon plus loin, et pourtant c'est juste une vérité, sans eux, ce forum ne ressemblerait plus à un forum fantôme où tout le monde viendrait se plaindre sans avoir une réponse potable.

Pour ce qui est de la 1.7, c'est pas faute d'avoir prévenu que son utilisation est hasardeuse. Perso, je suis très bien sous 1.6.x ainsi que mes clients.

Il y a 1 heure, _lol_ a dit :

Ça ne m'a pas empêché de perdre un paquet d'heures…

 Réinjecter un backup chez moi c'est avec un seul click de souris et le backup est injecté en 2 a 4 minutes maximum. Si vous y avez passé des heures, c'est pas la faute à Prestashop. ;) 

  • Like 2

Share this post


Link to post
Share on other sites

.@magicbel:

Bonsoir, j'ai bien compris que j'étais seul fautif et responsable de mes actes !

- Essayer de comprendre…
- restaurer le backup…
- Essayer à nouveau…
- recommencer
- essayer de comprendre...
Tenter d'installer une 1.7.4 clean sur le serveur de prod, échouer, recommencer de multiple fois, échouer encore…
Essayer sur un autre serveur. Pareil…
Ben oui, au final,  j'y ai passé mon après-midi, et bien sûr que ce n'est pas de la faute à prestashop. Ce n'est pas mon propos.

Je dis juste aux utilisateurs qui ont installé Prestashop récemment, en version 1.7, comme c'est préconisé en gros sur la page d'accueil de Prestashop,
- et qui n'ont peut-être même pas connu la 1.6 qu'a priori il n'aurait pas fallu quitter
(Comme si c'était l'évidence même… on en est à 1.7.4, en théorie, c'est quand même censé être un minimum fiable… Mais je peux me tromper.)

Bref, à ceux-là, je leur dis donc : 

" Plus que jamais, faites gaffe à bien backuper fichiers et base de données avant de faire cette mise à jour "mineure" car elle va certainement mettre complètement  en vrac votre boutique. "

C'est tout ce que je dis. je vous félicite néanmoins pour votre efficacité.

Mais du coup… 
Je fais comment pour installer Prestashop 1.7.4, ??
parce que l'installation ne fonctionne toujours pas (en PHP 7.0, 7.1, 7.2, avec ou sans mode dev activé)

Merci en tout cas pour vos réponses avisées.

 

  • Like 1

Share this post


Link to post
Share on other sites

Depuis que je connais Prestashop, il y eu une seule mise à jour concernant un problème de sécurité et c'était sur une version 1.4.

Oui Prestashop est un cms très particulier. Par son code et la stratégie actuelle.

Leur gros problème ce sont les tests, ils nous disent qu'ils en font, ok mais ils les font juste sur leur boutique de test avec John Doe comme seul client, 4 robes et 10 pauvres modules installés. Leur réponse est toujours la même: "On ne peut pas tester toutes les configurations".

Et c'est là que le bas blesse, perso à chaque mise à jour, je commence par faire un diff avant de cliquer sur ce bouton sans réfléchir, parce que rien que le changelog c'est minimaliste et ça ne reflète pas les réels changements effectués.

Correction d'un bug ? Ok, je vais voir ce qu'ils ont fait et si le bug est vraiment résolu.

Ajout d'une feature ? Alors là, attention parce que généralement ça veut dire nouveaux bugs ou pas géré suivant tous les cas de figure.

Ensuite, mes boutiques de test on des bases de 2 à 8000 clients en moyenne, des tas de règles paniers et prix spécifique, des configurations multi-langues et des catalogues de + de 10 000 produits. A ça on peut ajouter entre 2 et 300 modules installés.

Là je considère que les tests commencent à être représentatifs.

 

Oui Prestashop est responsable en annonçant comme fiable une version qui ne l'est pas

Oui Prestashop est responsable en ne mettant en avant que cette version 1.7 et en dissimulant bien les autres (Pour info, la dernière maj de la 1.6 (1.6.1.20) date de moins de 15 jours, alors parler d'ancienne version me fait doucement rigoler)

Oui Prestashop depuis 2 ans ne mise plus que sur l'aspect RENTABLE et FINANCIER de sa solution. Exit le côté communautaire, exit la fiabilité, exit les remontées utilisateurs. ils sont les meilleurs et n'écoutent plus leurs clients.

Si vous voulez leur parler, ils sont planqués là:

http://build.prestashop.com/

https://gitter.im/PrestaShop/General

http://forge.prestashop.com/

Bien sûr, vous devez écrire en anglais, sinon passez votre chemin...

 

Symfony, on l'avait réclamé en 2011/2012 et on nous avait répondu à l'époque que le code maison de Presta était très bien comme il était et que ce n'était pas à l'ordre du jour.

Smarty fonctionne bien nativement, le problème c'est que Prestashop en a tellement trituré le code que c'est devenu n'importe quoi au niveau de la gestion du cache et que les serveurs passent plus de temps à l'effacer / ré-écrire plutôt qu'à l'utiliser. (Je ne parle même pas de l'option débile d'écrire ce cache en bdd qui plante le moindre mutu...)

Suite à la pression des investisseurs et de certains devs, Prestashop a décidé de passer sous Symfony pour plusieurs raisons:

- Le code devenait difficile à maintenir (Ben oui, les employés actuels sont tous là depuis peu et maîtrisent très mal les 300 000 lignes de code maison) donc en passant par un framework relativement connu ce sera plus simple.

- Ils espèrent faire revenir les développeurs externes vers Prestashop (modules, thèmes et GitHub)

- Prestashop donne l'impression d'être à jour et dans la course

Mais là encore, on fait ça à la sauce Prestashop, c'est à dire par morceaux tenus par du scotch pour que ça pète pas trop. Passer à Symfony c'est une bonne idée, oui mais leurs modules et thèmes vendus sur Addons ne sont pas compatibles (écrits pour Smarty) et ils n'ont pas le temps ni le personnel pour les mettre à jour, donc s'ils veulent continuer à les vendre, il faut conserver Smarty en parallèle. Et voilà comment on commence les conneries...

La 1.7 c'est une 1.6.0.10 à la base qui utilise 2 moteurs de templates (un inédit dans le monde du CMS quand même !) et à laquelle on a supprimé tout ce qui ne marchait pas  (on verra au fur et à mesure pour les remettre ou pas, mais l'objectif actuel semble plutôt se tourner vers le remplacement de ces fonctionnalités par des modules payants)

Mais plutôt de ré-écrire Prestashop pour être conforme avec Symfony, ils ont rajouté une couche de compatibilité ce qui alourdit encore plus le code et crée une véritable usine à gaz. Et j'ai lu dernièrement qu'ils allaient encore en rajouter une couche pour que nous puissions continuer à écrire le code comme pour les 1.6 (Vu qu'ils peinent à donner envie aux devs externes d'utiliser leur 1.7 bancale).

 

Alors oui, je suis désolé pour vos mésaventures, mais je ne peux pas vous encourager à continuer avec cette version uniquement parce que le nouveau principe de templates est sympa. C'est l'arbre qui cache la forêt et c'est le jour où vous allez vouloir utiliser Prestashop dans ses fonctions avancées que vous aller commencer à galérer sévère (Taxes, prix spécifiques, déclinaisons, transporteurs, stocks avancés, etc...)

La 1.7 soit-disante "stable" c'est une version hybride dont les tests sont effectués sur votre dos et sans aucune assistance, et ça, c'est juste une honte.

  • Like 11

Share this post


Link to post
Share on other sites

Malheureusement, je ne peux qu'être d'accord avec toi, Eolia ! Du Symfony (ou Zend) dans PS, la "team" n'en voulais pas à une époque, pour ne pas alourdir le code. Quand PS 1.7 est sorti, je me suis dit "chouette, je fais du Symfony depuis X années, ça va être sympa"... Et ben non, quelle merde...

Comme bcp, je n'ai jamais mis un site PS 1.7 en prod et je ne le ferai jamais. La 1.8 ou 2.0 (une version toute réécrite, quoi !) peut-être, mais en attendant, la 1.6  a de beaux jours devant elle.

Et il faudrait être irresponsable (pour un pro) de conseiller à ses clients de passer à cette version. Reste effectivement le cas de ceux qui se lancent seuls dans leur coin avec une 1.7 parce que la 1.6 est plus difficilement trouvable, ou parce qu'ils ont fait une install en un clic avec OVH (tant qu'à faire des conneries...) et qui viennent ici après quand les galères commencent.

  • Like 4
  • Sad 1

Share this post


Link to post
Share on other sites
Il y a 15 heures, _lol_ a dit :

@okom3pom :

Bonsoir, je me demandais si vous étiez de la team Prestashop pour faire une réponse pareil…

Alors si je vous comprends bien, c'est moi qui ai fauté car il ne faut pas faire de mise à jour une fois le site en ligne opérationnel ? 

Parce que j'ai lu dans différents endroits que surtout, il fallait bien faire les mises à jour pour se prémunir des problèmes de sécurité par exemple. Surtout si c'est prestashop qui le préconise, et fournit un bouton exprès pour ça.

On parle de mise à jour mineure là (1.7.3 à 1.7.4 donc). 

 

Ou alors, je dois expliquer à mon client que pour faire le "1-click-upgrade", il va falloir quelques heures : 

En gros donc, pour faire une mise à jour mineure "1-click-upgrade", on doit dupliquer la boutique (nouvel espace, nouvelle base, modification des configs/URLs toussa…) pour tenter la mise à jour, et si jamais celle-ci se passe bien retransférer ensuite sur la boutique existante !?.

C'est effectivement une manière d'envisager le "1-click-upgrade".

 

Il se trouve que le site en question est justement en cours de développement, dans un vrai environnement de DEV et même j'avais un backup !
Donc je ne suis pas à la rue non plus… Ça ne m'a pas empêché de perdre un paquet d'heures…

… et de n'être toujours pas arrivé à installer PS 1.7.4 en clean install !

 

Et je suppose que c'est pas gagné pour qu'un membre de la team Prestashop vienne m'expliquer pourquoi ce merdier ! 

Parce que j'en ai parcouru des forums relatifs au dev…, dans tous les languages/technos. Et faut quand même avouer que celui-ci bat des reccords. Quand face à la nullité de la documentation developpeur tu viens chercher des réponses ici, la plupart du temps comme réponse dans les threads tu trouves : 

- ah ben c'est gratuit, alors faut pas se plaindre…
- ah ben la solution c'est d'acheter tel module…
- pas réponse du tout

Bref, une communauté super conviviale quoi.

 

@stéphane : 

Merci pour le cadeau !

 

@Eolia : 

La 1.7 amène des changements non négligeables sur l'écriture des templates, ce qui est le gros de mon travail. Pour tous le reste, en effet, c'est plutôt des ennuis en plus.

 

 

 

 

 

Ce n'est pas très cool pour okom3pom, sa remarque est très pertinente. Une maj ça se fait ailleurs que sur le site en prod, surtout avec une m...e comme prestashop 1.7. C'est du suicide à ce niveau-là pour une boutique.

Attaque-toi aux merlus qui ont écrit à l'arrache cette version digne de pif gadget (les gadgets ne fonctionnaient quasiment jamais) histoire de lever les fonds de pension américains.

Tu es inscrit depuis 2016 sur ce forum, alors tu devrais savoir qui sont les méchants et qui sont les gentils ici... ;)

 

  • Like 1

Share this post


Link to post
Share on other sites

@_lol_ C'est une situation frustrante et énervante mais avoir un draft / environnement de recette / site de test / pre-prod ... c'est une pratique assez courante qui permet au maximum d'éviter de planter une boutique en production.

Après comme ça a déjà été dit, le forum est totalement abandonné par Prestashop. On a bien vu réapparaître un CM il y a quelques mois mais à mon avis il devait être stagiaire. Il a posté quelques messages "je gagne du temps sur tel sujet parce que je n'ai pas la réponse" et il a redisparu.

Le support du CMS est délégué à la communauté, autrement dit quelques freelances et power-users qui donnent un peu de leur temps perso pour essayer de dépatouiller les forumeurs comme ils peuvent.

Quand tu vois que le software architect se permet ce genre de remarque sur Twitter.

Share this post


Link to post
Share on other sites
Il y a 15 heures, _lol_ a dit :

Bonsoir, je me demandais si vous étiez de la team Prestashop pour faire une réponse pareil…


Heu non :) 

Il y a 15 heures, _lol_ a dit :

Ou alors, je dois expliquer à mon client que pour faire le "1-click-upgrade", il va falloir quelques heures : 

En gros donc, pour faire une mise à jour mineure "1-click-upgrade", on doit dupliquer la boutique (nouvel espace, nouvelle base, modification des configs/URLs toussa…) pour tenter la mise à jour, et si jamais celle-ci se passe bien retransférer ensuite sur la boutique existante !?.


Ca prend 5 minutes pour une base de 5 giga et tu as le temps de te faire un café.

rsync mysql mv 


Tu parles de client, donc dans la logique oui tu devrais le faire, sinon ba ton client n'aurait qu'a cliquer sur installer un module, installer un theme, faire une MAJ.


Et ce qui est chouette c'est que tu nous parles d'une flopée d'erreurs mais tu ne les donnes pas :'(  Ni la config de ton serveur ... 

Perso chez moi l'installation se fait sans problème et également la MAJ 1.7.3.x -> 1.7.4.0

 

Share this post


Link to post
Share on other sites

Bonjour,

@okom3pom : je vous prie de bien vouloir m'excuser si j'ai pu paraître offensant, ce n'était pas du tout mon intention.

Je suis inscrit depuis 2016, mais effectivement, je ne fréquente que très peu ce forum où je viens uniquement lorsqu'il y a un problème afin d'y trouver des réponses que je n'ai la plupart du temps jamais trouvées.

Ayant pris en compte toutes vos remarques, j'ai d'ailleurs bien compris que j'étais seul et unique fautif dans l'affaire :

0. je n'ai pas lu attentivement tous les threads de ce forum. Coupable.

1. je suis incompétent pour ne pas être capable de remettre un backup en place en un seul click et moins de 4 minutes.
(Même si j'ai expliqué plus haut que mon temps perdu était surtout dû au fait que j'avais fait plusieurs tentatives, essayé de comprendre et de trouver une solution…). Coupable.

2. je suis irresponsable d'utiliser prestashop 1.7 (sorti ya presque 2 ans, préconisé par la team prestashop). Coupable.

3. je serais également suicidaire de faire une mise à jour sur un site en prod. Ce qui n'était en l'occurence pas le cas ici, j'étais bien sur le serveur de dev et avait bien tout backupé. Je ne pense pas voir dit à aucun moment que ce site était en prod… J'ai juste voulu faire cette mise à jour "mineure" avant de le passer en prod, justement histoire d'être à jour correctement. et… j'utilise quand-même d'autres CMS où les updates mineurs "en prod" se passent très bien (et je fais de toute façon toujours des backups), mais c'est vraiment inconscient de faire ça, ok. Coupable.

Moi qui pensais être plutôt un bon professionnel et bien faire mon travail. Je prends maintenant conscience que je suis vraiment un gros nul qui ne sait pas travailler. Merci d'avoir su me mettre face à cette évidence. Je vais donc aller me flageller pendant quelques vacances, et penser à ma reconversion.
Comme dirait HAL :  I ought to sit down calmly, take a stress pill and think things over.

@okom3pom : la description des erreurs se trouve dans le thread dont j'ai mis le lien dans mon premier post. Mais de loin, ça ressemble à la copie d'écran que je joins. Le serveur de dev est un Plesk OVH où tournent d'autres prestashop ( < à 1.7.3 ) sans broncher. Et je suis finalement arrivé à installer la 1.7.4 sur le serveur de prod qui est un mutu OVH. Pour moi, le problème est résolu, je pensais juste faire part de l'expérience pour le cas où d'autre utilisateurs se trouveraient dans le même cas que moi.


Merci à tous.

 

erreur_installe_presta.jpg

  • Like 1

Share this post


Link to post
Share on other sites

Dans tous les cas avant de lancer une mise à jour il faut regarder ce qu'il se dit sur la forge le forum et autre support.

Quand on tape ton erreur dans google on voit que pleins de personnes ont rencontré des problèmes.

https://www.prestashop.com/forums/topic/855926-http-500-error-after-update-174/

Après je me méfie toujours des versions 1.7.X.0   

Ce qui est bien c'est que ton topic servira à d'autre, je t'alertais juste sur ta façon de procéder.

Sion regarde dans Plesk -> Domaine -> Mon domaine -> Paramètre PHP -> open_basedir 



 

  • Like 2

Share this post


Link to post
Share on other sites
Le 12/07/2018 à 4:24 PM, _lol_ a dit :

Je suis inscrit depuis 2016, mais effectivement, je ne fréquente que très peu ce forum où je viens uniquement lorsqu'il y a un problème afin d'y trouver des réponses que je n'ai la plupart du temps jamais trouvées.

Et voilà comment un forum disparait. Vous êtes représentatif de cette nouvelle communauté ... morte ou moribonde qui ne pense qu'à son propre intérêt.

Perso je fais du PrestaShop depuis 2008, comme certaines personnes intervenant sur ce sujet, notre choix est partager entre amour et haine de cette solution.

Mais surtout, nous avons tous la même analyse, les "commerçants" se lançant sur PrestaShop actuellement ne font aucun effort pour chercher ou aider les autres utilisateurs et donc ils viennent pleurer lorsque les 10 dingo ne sont pas disponible pour prendre le temps bénévolement pour installer une version particulière de PS afin de tester exactement le soucis qui concerne le sujet, car cela prend de plus en plus de temps.

Oui PrestaShop n'est pas parfait, mais dans le monde de l'open source ecommerce cela reste une des meilleure solution, faut il encore prendre le temps de la comprendre et de l'appréhender.

Personne n'ouvre un commerce sans apprentissage ou connaissance, pourquoi, lorsque l'on colle l'idée d'Internet, cela devrait être différent ?

  • Like 1
  • Confused 1
  • Sad 1

Share this post


Link to post
Share on other sites

Le problème à mon avis n'est pas Prestashop mais ce qu'on en fait.  Je récupère un site qui tourne avec une 1.6.1.18 et qui est impossible à mettre à jour à cause de tas de modules incompatibles ou du thème, je n'arrive pas trop à savoir...

Je suis quand même assez étonné de voir à quel point la v1.7 est décriée alors qu'elle date de plus d'un an maintenant

Share this post


Link to post
Share on other sites

Bah tu sais, une merde, quel que soit son age, ça reste une merde !

Quant à ton PS 1.6.1.18, il faut surement mettre un peu le nez dedans. J'ai eu le cas avec un client en 1.6.0.5 (la toute première 1.6) dont l'agence avait fait des modifs directement dans le thème par défaut (sans même le cloner), idem pour des modules... alors c'est vrai que ça prend du temps à faire le delta et comprendre le pourquoi du comment, mais c'est possible. Après, faut que le client comprenne et accepte qu'il y en a déjà pour 1000 balles pour reprendre le projet avant de faire le boulot qui suit...

  • Like 1

Share this post


Link to post
Share on other sites

Je suis inscrit depuis 2009.

Maintenant sur ce forum, c'est les pro qui répondent (même un certain modo pathétique, si il a pas été viré celui la) pour seul but de se faire de la pub, et critiquer leur pseudo employeur Prestashop. Ça critique, ça critique, Prestashop c'est de la m**** mais tous continuent à se remplir les poches en essayant d'agripper des clients sur le forum, c'est pour cela que ça plait pas quand on pose une question (on est tous abruti et incompétent à leurs yeux). C'est juste mon impression, pas la peine de vous exciter à répondre, je reviendrais pas lire les réponses car je sais que je vais encore me faire assassiner, je vis pas dans ce monde fermé qu'est devenu ce forum.

A ceux qui cherchent des réponses, aller sur la partie Anglaise, ils sont plus ouvert d'esprit (j'ai pas dit plus compétent que certain).

Perso je suis très satisfait de la version 1.7, je vois pas de problème sur des boutiques en production depuis des années. Ça toujours été de se méfier des MAJ Prestashop, c'est pas une nouveauté de la version 1.7. Je comprends pas tout ce petit monde de pro qui passent leur temps à critiquer cette version sur le forum.

Nous simples utilisateurs, on créé notre ecommerce et on vends nos produits, et en cas de problème on vient sur des forums pour trouver des solutions, ça toujours été comme ça dans tous les domaines, je vois pas ou est le mal que décrit Mediacom, Prestashop est pas notre vie. Après chacun est spécialiste dans son propre domaine et va donc plutôt aider les autres dans des forums qui lui correspond et qui le passionne (comme vous pour Prestashop), chacun y trouve son intérêt.

 

En tout cas merci _lol_ pour ton intervention courageuse sur ce forum.

 

  • Like 2

Share this post


Link to post
Share on other sites

Vous ne comprenez pas, c'ets normal vous venez corroborer mes propos en croyant les critiquer.

Il y a 8 heures, Style-Idea a dit :

Maintenant sur ce forum, c'est les pro qui répondent ... pour seul but de se faire de la pub, et critiquer leur pseudo employeur Prestashop. Ça critique, ça critique, Prestashop c'est de la m**** mais tous continuent à se remplir les poches en essayant d'agripper des clients sur le forum

Pas faux, mais pas vrai non plus, il y a des pro qui racolesnt sur le froum mais ceux là ne critiques pas et ceux qui critiques ne racolent pas.

Il y a 8 heures, Style-Idea a dit :

A ceux qui cherchent des réponses, aller sur la partie Anglaise, ils sont plus ouvert d'esprit (j'ai pas dit plus compétent que certain).

Comme cela PrestaShop continuera à ignorer la communauté française comme elle le fait depuis 5 ans en ne produisant plus une seule doc, communication, aide, solution en français alors que c'est la communauté française qui a fait ce que PrestaShop est maintenant.

Il y a 8 heures, Style-Idea a dit :

Perso je suis très satisfait de la version 1.7, je vois pas de problème sur des boutiques en production depuis des années. Ça toujours été de se méfier des MAJ Prestashop, c'est pas une nouveauté de la version 1.7. Je comprends pas tout ce petit monde de pro qui passent leur temps à critiquer cette version sur le forum.

C'est pour cela que nous sommes des PRO, nous savons regarder plus loin que le bout de notre nez et juste notre cas à nous. Nous analysons les choses dans leur ensemble pour tous les utilisateurs et je le répète, cette nouvelle version est un beta test grandeur réelle qui oblige tous les utulisateurs à faire toutes les mises à jour pour corriger toutes les erreurs existantes depuis le début et surtout, PrestaShop a fait le choix de retirer plus de 60 moules (fonctionnalités) native pour les rendre payantes.

Il y a 8 heures, Style-Idea a dit :

Nous simples utilisateurs, on créé notre ecommerce et on vends nos produits, et en cas de problème on vient sur des forums pour trouver des solutions, ça toujours été comme ça dans tous les domaines, je vois pas ou est le mal que décrit Mediacom, Prestashop est pas notre vie. Après chacun est spécialiste dans son propre domaine et va donc plutôt aider les autres dans des forums qui lui correspond et qui le passionne (comme vous pour Prestashop), chacun y trouve son intérêt.

Et voilà, vous avez besoin de l'aide des autres donc un soucis = un forum ... Super et donc nous sommes les méchants car nous allons sur les forum pour aider les autres alors que vous ne faites que consommer l'aide que nous vous apportons et vous venez cracher dessus ... en gros comme nous qui venons nous gaver sur le dos de PrestaShop que nous critiquons.

Franchement, c’est pathétique. Fermons ce forum qui ne sert plus à rien et abandonnons les commerçant francophones au mains des anglo-saxons qui ne comprennent rien au marché français.

Share this post


Link to post
Share on other sites
On 12/07/2018 at 9:51 AM, Johann said:

Comme bcp, je n'ai jamais mis un site PS 1.7 en prod et je ne le ferai jamais. La 1.8 ou 2.0 (une version toute réécrite, quoi !) peut-être, mais en attendant, la 1.6  a de beaux jours devant elle.

 

C'est surement pas super réglo d'en parler sur le Forum prestashop mais je suis super intéressé par vos avis.

Ça ne serait pas intéressant de commencer à regarder du coté de ThirtyBees afin d'avoir une alternative à 1.6 qui est maintenu avec des MAJ qui répondent à nos problématiques ?

Au moins garder un œil sur les changelog afin de voir si ça devient réellement intéressant.

Edited by William K. (see edit history)

Share this post


Link to post
Share on other sites

je ne vois pas pourquoi ça ne serait pas super réglo, mais j'ai le souvenir que d'autres topics évoquant les abeilles avaient été clos (la liberté d'expression, ça devait pas causer aux censeurs). Bon, l'avantage, c'est que vu l'activité du CM ici, on est tranquilles un moment :)

J'ai commencé à mettre le nez dans le pot de miel il y a quelques fois. C'est en effet intéressant. 

Share this post


Link to post
Share on other sites

Bonjour

J'ai eu un problème similaire à _lol_ avec prestashop 1.7.4.0 j'ai vu que prestashop a créé une version 1.7.4.1 je vais voir si ça crrige mon bug
je vous dis si ça marche :)

Share this post


Link to post
Share on other sites
18 hours ago, ksaan said:

Bonjour

J'ai eu un problème similaire à _lol_ avec prestashop 1.7.4.0 j'ai vu que prestashop a créé une version 1.7.4.1 je vais voir si ça crrige mon bug
je vous dis si ça marche :)

 

J'ai regardé le changelog hier et il mentionne bien la résolution de problèmes d'installation... sans plus de détails

  • Like 1

Share this post


Link to post
Share on other sites

Si vous avez utilisé le module 1-click-upgrade version 3.0.5 c'est lui qui fait planter la boutique il faut/fallait utiliser la nouvelle version 4.0.0 j'ai fait pas mal d'essais pour vérifier ça, après avoir planter la boutique...

Maintenant je teste sur une boutique de test installée en parallèle sur mon serveur dédié et un module de backup/restauration. Quand on se fait avoir une fois vaut mieux prendre des précautions ! 

Share this post


Link to post
Share on other sites

Bonjour,

On 7/12/2018 at 9:51 AM, Johann said:

Comme bcp, je n'ai jamais mis un site PS 1.7 en prod et je ne le ferai jamais. La 1.8 ou 2.0 (une version toute réécrite, quoi !) peut-être, mais en attendant, la 1.6  a de beaux jours devant elle.

Moi je veux bien garder mes 1.6 mais le truc c'est qu'elles ne tournent pas en php7. Et que l'hébergeur taxe un genre de "maintien php 5.6".

Du coup on fait quoi ?

Share this post


Link to post
Share on other sites

Faux, mes sites sont en 1.6 dernière version, sur du PHP 7

Share this post


Link to post
Share on other sites
il y a 3 minutes, renaud2263 a dit :

Moi je veux bien garder mes 1.6 mais le truc c'est qu'elles ne tournent pas en php7

Si si elle tourne en php 7, suffit d'être dans les dernières versions 1.6.x

Edited by magicbel (see edit history)
  • Like 1

Share this post


Link to post
Share on other sites

oui, mais ça marche bien en PHP7 depuis plusieurs versions mineures (je n'ai plus la version en tête, faudrait regarder les changelogs)

Share this post


Link to post
Share on other sites

Gaffe aux modules tout de même. Autant le Presta tourne en php7, autant les modules ajoutés c'est différent ;) 

Faut tester et voir les logs erreurs.

Edited by magicbel (see edit history)

Share this post


Link to post
Share on other sites

Bonjour,

J'ai lu ce post avec beaucoup d'attention.

Moi, j'ai une question qui va peut-être vous faire sourire : nous avons une boutique qui tourne en 1.5.6.2 et utilisons surtout les stocks avancés (avec ses petits bugs !) et un module de caisse (Sora Caisse - nous avons aussi 2 boutiques physiques).  Bref, Presta, c'est NOTRE outil de gestion, sans lui, on est dans la merde !

Nous comptions lancer un projet pour passer à une version supérieure, surtout parce que le visuel sur les smartphones n'est pas terrible (et plus de 50% de nos visiteurs / acheteurs sont sur mobile).  J'ai compris de votre prose que ce n'était pas une bonne idée ! :)  Merci à vous.

Mais objectivement, vous me conseilleriez de rester sur la 1.5 (qui tournent très bien) ou de m'orienter vers d'autres plateformes, peut-être payantes ? 

Surtout que cette histoire de mobile ne va pas aller en diminuant et qu'un jour, je suppose que la 1.5 sera vraiment obsolète !

Bon, j'imagine qu'il n'y a pas de réponse type ou idéale, mais merci en tout cas si vous aviez le temps de me donner vos conseils.

Vince

Share this post


Link to post
Share on other sites

Tu peux raisonnablement envisager de passer à la dernière version de PS 1.6, adapter un thème responsive, et tenir comme ça encore quelques années !

  • Thanks 1

Share this post


Link to post
Share on other sites

Bonjour,

tout à fait, une migration vers la dernière version de la branche 1.6 de PrestaShop est envisageable pour plusieurs années encore, même si PrestaShop annonce ne plus faire de support d'ici quelques mois sur cette branche, elle est assez stable pour tourner comme votre 1.5 l'a fait depuis des années.

  • Like 2

Share this post


Link to post
Share on other sites
23 minutes ago, RisingDev said:

Mais objectivement, vous me conseilleriez de rester sur la 1.5 (qui tournent très bien) ou de m'orienter vers d'autres plateformes, peut-être payantes ? 

Migrez vers une 1.6 ou une 1.7 . Vite ^^ .

Je vous renvoie à ce post si vous voulez des détails : 

 
En fait se dire que votre Presta 1.5 tourne très bien est une illusion de sécurité. Je prends une métaphore: quand les ordinateurs de bureau ont commencé à se répandre dans les entreprises, certaines entreprises se sont dit "non mais avec nos dossiers papiers ça tourne très bien, pas la peine de s'équiper en informatique, en plus il faut changer nos habitudes, payer quelqu'un pour les installer, on doit se former ...", et tout ceci prends du temps et de l'argent.
Mais:
- dans les entreprises équipées en informatique, dupliquer c'est 1 clic, avec du papier il faut aller à la photocopieuse
- recherche d'un dossier ? avec l'informatique, 1 clic aussi ; avec des documents papiers hop alors je cherche les dossiers à la lettre M...
- envoyer un document papier = courrier, minimum 24h contre l'email quasi-instantané
Avantage énorme pour les boites équipées en informatique, les boites "papier" perdent à long terme. Et puis imaginez pour le recrutement: si demain on vous propose un job dans une entreprise où tout se fait au papier et non sur ordinateur, vous auriez confiance ? vous accepteriez ce job ?

Je comprends que c'est un budget mais voyez vraiment PrestaShop (et tous vos services informatiques en général) comme les outils qu'ils sont : utiles mais périssables. Il faut régulièrement voir les nouveautés et se maintenir à jour. Si vous attendez d'être au pied du mur, que vous n'ayez plus le choix, vous risquez de devoir payer cher pour une migration en urgence. Là, vous semblez avoir le temps, profitez-en ! et vous pouvez refaire une beauté à votre thème, regarder les modules que vous avez mis et peut-être faire du ménager si certains ne sont plus utiles ... ça vous permettra de vous mettre à jour par rapport aux pratiques de vente actuelles.

Le processus de migration n'est ni anodin ni gratuit. Mais il est nécessaire.

Avec une solution SaaS type Shopify vous n'avez pas à vous soucier de ça. Par contre vous perdez en contrôle sur votre shop et vos données, et êtes plus limités. La liberté et le contrôle de son "destin" ça nécessite toujours du boulot ;) 

Share this post


Link to post
Share on other sites

Ah, sans oublier qu'en ce moment certains hébergeurs font des mises à jour plus ou moins brutales de leurs clients vers php7.1 voire php7.2 donc si ça vous arrive, avec un Presta 1.5 je pense que vous êtes foutu 😅

Share this post


Link to post
Share on other sites
il y a 3 minutes, ksaan a dit :

En fait se dire que votre Presta 1.5 tourne très bien est une illusion de sécurité

Pourriez-vous préciser les événements sécuritaires problématiques à votre connaissance à ce jour sur la 1.5 de PrestaShop ?

Car votre métaphore, qui n'en n'est pas vraiment une, ne porte aucunement sur la sécurité mais simplement sur le progrès.

il y a 5 minutes, ksaan a dit :

Le processus de migration n'est ni anodin ni gratuit. Mais il est nécessaire.

Là je vous rejoints complètement

 

il y a 1 minute, ksaan a dit :

Ah, sans oublier qu'en ce moment certains hébergeurs font des mises à jour plus ou moins brutales de leurs clients vers php7.1 voire php7.2 donc si ça vous arrive, avec un Presta 1.5 je pense que vous êtes foutu 😅

Il est vrai que certains hébergeur forcent la main sur ce sujet, mais bon, la 1.6 fonctionne sur PHP7 donc cela est une bonne alternative pour conserver toutes les options de la 1.5 et même en ajouter, ce qui n'est pas le cas avec la 1.7 qui possède encore beaucoup de lacunes même si elle apporte des idées intéressantes.

  • Thanks 1

Share this post


Link to post
Share on other sites
5 minutes ago, Mediacom87 said:

Pourriez-vous préciser les événements sécuritaires problématiques à votre connaissance à ce jour sur la 1.5 de PrestaShop ?

Ce que je voulais souligner c'était que dire que "le software X tourne très bien" ne garantit rien du tout sur sa sécurité. Le fonctionnement d'une application et sa sécurité sont 2 sujets très diversifiés, et qu'il faut également considérer "ce qui ne se voit pas", pas que ce qui se voit, c'est-à-dire l'usage au jour le jour. Une voiture sans ceinture de sécurité peut "tourner très bien" et être tout de même non sécurisée ;) non ?

Par ailleurs, pour répondre à votre question: sans avoir d'éléments précis, je vois que la dernière 1.5 est la 1.5.6.3 et est sortie en juillet 2015 il y a 3 ans et demi. 3 ans et demi, dans l'informatique et particulièrement le dév web c'est gigantesque. Quand on voit la quantité de failles découvertes chaque année sur des projets de tous types, je ne pense pas que PrestaShop échappe à cette règle. Encore une métaphore ^^ c'est comme laisser sa porte ouverte parce qu'on a cassé la serrure. Peut-être que en 1h personne ne va entrer chez vous voler vos affaires. Mais plus longtemps elle est ouverte plus la probabilité que quelqu'un s'introduise augmente, non ? Mieux vaut la faire réparer le plus vite. Mieux vaut migrer le plus vite.

J'ai fait une rapide recherche google, je vois par exemple celle-ci avec le module Mega Menu Pro:
https://www.cvedetails.com/cve/CVE-2018-8823/
et ça couvre PS 1.5.5.0 jusqu'à 1.7.2.5

En fait le message derrière c'est "ce n'est pas parce qu'il n'y a pas de faille connue qu'il ne faut pas migrer vers une version maintenue: il faut migrer par anticipation parce que une fois la faille trouvée il sera peut-être trop tard". N'attendez pas que ça vous claque dans les doigts. Ne pas être dans la réactivité mais dans l'anticipation.

Share this post


Link to post
Share on other sites

Faut il faire les mises à jours lorsqu'elle sortent, ma réponse est claire SURTOUT PAS.

PrestaShop est l’exemple type où il faut savoir patienter, la PrestaShop 1.5.6.3 est une très très bonne version et ne comporte pas de problèmes de sécurités profond. Vous m'avez présenté un module tiers, donc là n'est pas le débat. La version 1.6.1.23 peut être considéré comme vraiment stable et utilisable en production donc pas de soucis de basculer sur celle là mais avant cette version il y a eu beaucoup de versions à éviter. Je ne parle même pas de la 1.7, qui, 2 ans après son lancement, peut commencer à être étudier pour imaginer peut être un jour migrer dessus, mais pas vraiment plus.

Ici, on parle de eCommerce et surtout d'une multitude d'utilisateurs ayant plus ou moins de connaissances, il faut donc faire très attention à ce que l'on raconte et dire qu'il faut toujours faire la mise à jour est une aberration, puisque ce n'est pas vous qui aurez une boutique HS et plus de revenus.

Sur le fond de votre discours je suis bien d'accord que les choses avances rapidement dans le monde du web, mais ici on parle de ecommerce et la donne change radicalement car l'importance de l'outil pour les commerçant fait qu'il y a grande sécurités à mettre en oeuvre avant e faire la moindre intervention sur sa boutique. Perso je code direct en prod sur ma propre boutique, mais si je plante tout ce n''est pas grave, je sais faire, c’est mon job. Sinon, lorsque je fais des interventions pour des clients je ne m'amuse pas à ce genre de délire et je monte toujours des copies pour tout tester dans tous les sens.

Share this post


Link to post
Share on other sites
il y a 2 minutes, Mediacom87 a dit :

Faut il faire les mises à jours lorsqu'elle sortent, ma réponse est claire SURTOUT PAS.

PrestaShop est l’exemple type où il faut savoir patienter, la PrestaShop 1.5.6.3 est une très très bonne version et ne comporte pas de problèmes de sécurités profond. Vous m'avez présenté un module tiers, donc là n'est pas le débat. La version 1.6.1.23 peut être considéré comme vraiment stable et utilisable en production donc pas de soucis de basculer sur celle là mais avant cette version il y a eu beaucoup de versions à éviter. Je ne parle même pas de la 1.7, qui, 2 ans après son lancement, peut commencer à être étudier pour imaginer peut être un jour migrer dessus, mais pas vraiment plus.

Ici, on parle de eCommerce et surtout d'une multitude d'utilisateurs ayant plus ou moins de connaissances, il faut donc faire très attention à ce que l'on raconte et dire qu'il faut toujours faire la mise à jour est une aberration, puisque ce n'est pas vous qui aurez une boutique HS et plus de revenus.

Sur le fond de votre discours je suis bien d'accord que les choses avances rapidement dans le monde du web, mais ici on parle de ecommerce et la donne change radicalement car l'importance de l'outil pour les commerçant fait qu'il y a grande sécurités à mettre en oeuvre avant e faire la moindre intervention sur sa boutique. Perso je code direct en prod sur ma propre boutique, mais si je plante tout ce n''est pas grave, je sais faire, c’est mon job. Sinon, lorsque je fais des interventions pour des clients je ne m'amuse pas à ce genre de délire et je monte toujours des copies pour tout tester dans tous les sens.

D'accord en tout point, j'aurais pu écrire exactement la même chose...

Share this post


Link to post
Share on other sites
3 minutes ago, Mediacom87 said:

Faut il faire les mises à jours lorsqu'elle sortent, ma réponse est claire SURTOUT PAS.

Ah ça je suis d'accord avec vous. Toujours laisser passer quelques semaines / mois / années (selon le software et son cycle de vie) pour vérifier la stabilité voire toujours laisser "une version mineure d'avance".

J'imagine que vous avez traduit mon "Migrez vers une 1.6 ou une 1.7 . Vite ^^ ." par "Migrez vite sur la dernière 1.7" ;) désolé je me suis mal exprimé alors.

Par contre je pense vraiment que rester sur 1.5 c'est dangereux. Comme sur toute technologie non maintenue: libraires frontend (jQuery), CMS, serveur web, distribution linux. Si vous aviez un administrateur système, vous seriez pas choqué de découvrir que un des éléments de votre parc informatique est pas sécurisé depuis longtemps si un patch existe ? vous le payez entre autres pour ça, non ?

Share this post


Link to post
Share on other sites
il y a 37 minutes, ksaan a dit :

Ce que je voulais souligner c'était que dire que "le software X tourne très bien" ne garantit rien du tout sur sa sécurité. Le fonctionnement d'une application et sa sécurité sont 2 sujets très diversifiés, et qu'il faut également considérer "ce qui ne se voit pas", pas que ce qui se voit, c'est-à-dire l'usage au jour le jour. Une voiture sans ceinture de sécurité peut "tourner très bien" et être tout de même non sécurisée ;) non ?

Par ailleurs, pour répondre à votre question: sans avoir d'éléments précis, je vois que la dernière 1.5 est la 1.5.6.3 et est sortie en juillet 2015 il y a 3 ans et demi. 3 ans et demi, dans l'informatique et particulièrement le dév web c'est gigantesque. Quand on voit la quantité de failles découvertes chaque année sur des projets de tous types, je ne pense pas que PrestaShop échappe à cette règle. Encore une métaphore ^^ c'est comme laisser sa porte ouverte parce qu'on a cassé la serrure. Peut-être que en 1h personne ne va entrer chez vous voler vos affaires. Mais plus longtemps elle est ouverte plus la probabilité que quelqu'un s'introduise augmente, non ? Mieux vaut la faire réparer le plus vite. Mieux vaut migrer le plus vite.

J'ai fait une rapide recherche google, je vois par exemple celle-ci avec le module Mega Menu Pro:
https://www.cvedetails.com/cve/CVE-2018-8823/
et ça couvre PS 1.5.5.0 jusqu'à 1.7.2.5

En fait le message derrière c'est "ce n'est pas parce qu'il n'y a pas de faille connue qu'il ne faut pas migrer vers une version maintenue: il faut migrer par anticipation parce que une fois la faille trouvée il sera peut-être trop tard". N'attendez pas que ça vous claque dans les doigts. Ne pas être dans la réactivité mais dans l'anticipation.

Des modules foireux il y en a un paquet et il y en aura partout. Une petite liste non-exhaustive ici https://aide.prestashop.click/topic/1075/des-modules-et-des-hacks-liste-non-exhaustive-des-modules-présentant-un-risque/2?loggedin=true

Mais quel rapport avec la version prestashop ?

On peut mettre une porte blindée, si la fenêtre est ouverte, ça ne sert à rien...

Edited by Eolia (see edit history)
  • Like 1

Share this post


Link to post
Share on other sites

D'ailleurs tout ceux qui s'étaient précipités pour mettre à jour ces modules se sont retrouvés hackés en moins de 2^^

Share this post


Link to post
Share on other sites
54 minutes ago, ksaan said:

J'ai fait une rapide recherche google, je vois par exemple celle-ci avec le module Mega Menu Pro:
https://www.cvedetails.com/cve/CVE-2018-8823/
et ça couvre PS 1.5.5.0 jusqu'à 1.7.2.5

Heu la version de prestashop n'a rien à voir, c'est par ce qu'en mars 2018 prestashop était à cette version

Share this post


Link to post
Share on other sites
35 minutes ago, yama said:

Je pense que l'exemple n’était pas le bon mais ce n’était pas le sujet principal de son commentaire.

Il voulait probablement seulement dire que PS 1.5 n'est plus suivi donc attention.

Tout-à-fait c'est ça ^^ merci :) 

Share this post


Link to post
Share on other sites

Bonjour,

J'ai voulu commencer par tester la toute dernière version 1.7.5 en local.

Déjà, pour l'installer, j'ai du faire face à de nombreuses manipulations pour la faire "fonctionner" quand bien même Prestashop m'indiquait que tout était Ok durant la vérification avant l'installation de la boutique.

Ensuite, j'ai rapidement vu qu'il y avait des soucis avec certaines fonctionnalités.

J'ai aussi testé un module acheté sur la market place de Prestashop et compatible avec ma version 1.7.5.0.

Suite aux premiers couacs les développeurs du module ont du déjà effectuer des correctifs.

Puis en trouvant d'autres j'ai commencé à voir le long chemin qui m'attendait à tester et reporter les bugs pour ce module et tous les autres qui m'intéressaient.

Avant d'abandonner, j'ai tenté la mise à jour avec le one click upgrade vers la 1.7.5.1 sans succès. 

Puis j'ai osé me relancer dans la laborieuse installation de la 1.7 pour être directement en 1.7.5.1

N'ayant pas pris toutes les notes nécessaires, trop confiant, je me suis de nouveau retrouvé coincé à l'installation et là j'ai décidé que j'avais perdu trop de temps.

Bien entendu, je considère avant toute chose comme responsable la configuration de mon environnement local. 

Mais ça ne coule pas de source, et c'est regrettable.

 

Je conseille de la tester, puis de tester la 1.6.

Vous verrez la différence par vous même.

La 1.6.1.23 s'est installée simplement en local, est BIEN PLUS riche en fonctionnalités (même l'ergonomie est meilleure finalement) et tourne bien avec php 5.6.4

Je ne voyais au départ que d'un oeil les commentaires sur le forum recommandant la 1.6. 

Mais il faut le voir pour le croire.

Comparez !!!

Après, ce n'est pas un monde merveilleux non plus avec la 1.6, il faut aussi savoir bien configurer son environnement et mettre à l'épreuve ses modules.

J'ai déjà de nouveaux problèmes avec mon module de test acheté et compatible aussi en 1.6... Et c'est un module avec Award par vendeur de statut "Conqueror" !

 

Remarque: je comprends tout à fait le point de vue de _lol_ 
Prestashop est open source mais propose et vend des modules sur sa plateforme développés par eux-même ou par des tiers. Sa réaction est normale en tant que consommateur, il accorde sa confiance et sa CB et s'attend à des services proposés qui fonctionnent. Parfois c'est le cas, d'autres fois non ou laborieusement.

 

Edited by feurdog (see edit history)
  • Like 1

Share this post


Link to post
Share on other sites

Il faut juste savoir que les modules vendus sur Addons ne sont pas testés, juste le code est contrôlé pour éviter certaines fonctions ou conformité PSR2.

Prestashop n'en a créé réellement qu'une 20aine sur les 6500 dispos

Le statut conqueror ou 5 étoiles ne veut pas dire grand chose (un module made in Prestashop démarre d'office avec 5 étoiles), aucun avis n'est public (pourtant la loi française est très claire à ce niveau) et seuls ceux qui plaisent à l'auteur sont publiés (s'ils sont vrais ?)

Nous avons demandé il y a plusieurs années qu'il y ait des points suivant la fonctionnalité, l'ergonomie, la doc, l'optimisation mémoire et sql, multiboutique, multilangue etc... mais ils n'ont rien voulu savoir (la réponse exacte était: " Il y en a trop, tu ne te rends pas compte on a pas le temps de tout tester"

Share this post


Link to post
Share on other sites
1 hour ago, Eolia said:

Nous avons demandé il y a plusieurs années qu'il y ait des points suivant la fonctionnalité, l'ergonomie, la doc, l'optimisation mémoire et sql, multiboutique, multilangue etc... mais ils n'ont rien voulu savoir (la réponse exacte était: " Il y en a trop, tu ne te rends pas compte on a pas le temps de tout tester"

Hé oui, et vous aviez raison ! certes, un peu gourmands à leurs yeux dans la demande, mais tellement efficace pour les acheteurs d'avoir accès à ces informations ! et efficace aussi pour la réputation de PS, donc tout à leur avantage au bout du compte....Un peu comme le font les bonnes boutiques en ligne en quelque sorte ^ ^ 

Le minimum requis aujourd'hui, jeunesse de PS et du net passée, à partir du moment où ils touchent des commissions sur les ventes, est de s'assurer que les modules fonctionnent, a minima un par un, et qu'ils valident le téléchargement fonctionnel pour telle ou telle version de PS.

De plus, les inter-compatibilités entre modules ce serait l'idéal et normal après tout...A eux de donner une meilleure charte aux développeurs...

 

Edited by feurdog (see edit history)

Share this post


Link to post
Share on other sites

Bonjour tout le monde,

Voilà une discussion qui s'oriente petit à petit sur les contraintes des devs sur la solution prestashop 1.7; ça m'intéresse.

Pour me présenter rapidos je suis un développeur sans prétention qui travaille à 70 % sur Presta depuis 4 ans (développement front-end et back dans diverses agences)... mais après avoir travailler beaucoup sur la 1.6 et maintenant sur la 1.7 rien y fait..je fais également parti des grands déçus de l'orientation récente de ce CMS. 

Les environnements n'ont rien à voir (l'un est Open source l'autre pas complètement) mais le fait est, que de travailler avec Drupal 8 n'arrange en rien les choses, puisque j'y vois maintenant plein de défaut ou en tout cas plein d'axes d'améliorations niveau environnement de travail.

Symfony , Symfoniera pas ? 

On était nombreux à attendre avec impatience la version 1.7 car celle-ci laissait entrevoir un passage vers le framework Symfony. Première réaction de ma pomme : enfin ! Car ce serait aussi la promesse d'un environnement beaucoup plus solide. Au final on installe la version beta , et là malheureusement la douche devient froide. Prestashop utilise Symfony seulement pour certains controllers ... Donnant l'impression de rester le cul entre deux chaises. Twig ou  Smarty ? "C'est selon votre choix!" Ok, pourquoi ne pas avoir imposer de passer tout de suite sur Twig ? Car au final c'est surtout un peu le bordel et donne l'impression de "bricoler". J'imagine que cela ne se fera pas en un claquement de doigt mais bon... 

Le système de modules

Prestashop semble avoir baser son business model sur la vente de modules, soit, il faut bien que ces personnes se rémunèrent et je le conçois totalement. Mais force est de constater qu'il y a des limites au système. Côté dev, une bonne partie de mes interventions se fait sur le débug de modules. Je ne parle pas d'ajout de fonctionnalité qui n'existerait pas sur un module existant (car là aussi c'est une bonne part du boulot) mais bien de débug. Alors oui y'a le support de 3 mois... Mais souvent quand les clients viennent à nous le support est terminé, où alors le développeur n'a pas eu le temps de répondre à la demande (car il reçoit beaucoup de demandes). Pas évident. 

Sur la Marketplace une simple vérification psr 2 est faite pour publier un module (à ce titre nous en avons publié quelques un)... Pour le reste nada. Autre faiblesse mais là Prestashop n'y peut rien, la qualité du code de nombreux modules (bon on est d'accord, ça le client s'en fout), qui donne parfois envie de se noyer dans une chasse d'eau. Et vas y que je bourre du html et du javascript directement dans les fichiers PHP de module pourtant best seller. C'est là où le fait d'imposer un environnement Symfony serait bien... 
A cela s'ajoute le fait qu'il n'existe pas un système d'override des fichiers de modules convenables... Au final, la modification de modules existant peut parfois s'avérer être une bonne galère, et difficile à expliquer au client lambda.

Réinventons la roue dans la joie

Notamment pour les module, on a vite l'impression de devoir constamment réinventer la roue. Un exemple tout bête tiens, l'upload de fichier dans un form... Ben faut faire à sa sauce... et encore plus à sauce si il y la problématique des langues. Prestashop semble être à moitié un framework.Ce qui fait que l'on a rapidement un fichier de méthodes/override qui nous sert à chaque projet pour combler certaines lacunes. 

Pas de vrai gestionnaire de package

Un vrai gestionnaire de package intégré complêtement au CMS serait une bonne évolution. Je pense à Composer. Cela simplifierait grandement les mises à jour.

Documentation 

On dirait que Prestashop rattrape vraiment son retard à ce niveau là, mais en ayant commencé le dev via Prestashop... Mais mince pendant longtemps la documentation, elle était juste ultra light.

Interface en ligne de commande ?

Pour accélerer les développements, fournir une interface en ligne de commande serait une autre grosse évolution : vider les caches, créer des bases de modules (mais là je crois que je rêve...)

_____________________

Désolé pour le pavé.

Attention, je ne voudrais pas faire que casser du sucre sur le dos de la compagnie, dans la liste des qualités je dirais que Prestashop est un CMS répandu, gratuit (enfin freemium pour l'utilisateur lambda), avec une grande communauté FR. Le système d'override est également intéressant. Et rien que ça c'est déjà beaucoup.

En somme pour moi la 1.7 est une version intermédiaire, qui débouchera (espérons le) sur une version 1.8 complètement sous Symfony, bien plus mature (mais ça l'avenir nous le dira). De notre côté, nous nous orientons vers Drupal Commerce, et stoppons la plupart de nos projets Prestashop pour les raisons indiquées ci-dessus (sauf ceux de nos clients historiques).

Hâte de lire vos réactions à ce sujet , enfin s'il y en a.

Bonne continuation à vous

Edited by rorschach_dev (see edit history)
  • Like 2

Share this post


Link to post
Share on other sites

On s’éloigne du sujet. Que l’équipe Prestataire ne réponde pas est un problème, mais ils offrent des services d’assistance payant, c’est leur modèle, si on aime pas on utilise un autre outil. Perso, je n’aime pas que l’on fasse un one click update qui plante tout et que l’on assume pas derrière.

De mon côté, j’ai fait une migration one click de 1.7.1 vers 1.7.5, résultat, plus de page d’accueil, plus de menu, juste une image et un titre et plus rien, mais le back office était OK.

Mon template utilise ApPageBuilder et en cherchant un peu, j’ai vu que tous les hooks avaient disparus. J’ai remis, mais les pages de catégorie de produit affichaient x produits en bas de liste, mais aucun produit.

J’ai fini par prendre toutes les tables apPage... de mon backup sql et je les aient réimporter... tout remarchait comme avant.

Le one click a donc explosé ApPageBuilder.

Pour moi, c’est le gros problème de Prestashop, j’ai l’impression que les règles de développement de module ne sont pas bien faites et pour un modèle qui est basé sur la vente de module, ce n’est pas acceptable.

prestashop devrait intégrer une prestation payante pour les éditeurs de module avec garantie de test de non régression et prestation de support inclus pour ces modules en cas de problème et une labellisation. 

J’ai eu des gros problèmes avec le module de Captcha et le développeur me certifiait que le pro élève venait du côté dev de prestashop. Inconcevable pour moi qu’on propose de nos jours un outil sans Captcha disponible!!! Cela devrait être du standard.

Share this post


Link to post
Share on other sites

Sans être un défenseur de prestashop car il y a beaucoup à redire, il y a des règles d'exploitations élémentaires que l'on doit suivre avant toute mise à jour en particulier sur un serveur de production. 

1.passer en mode maintenance

2. faire une sauvegarde de la base 

3.faire une sauvegarde du code 

4.passer en mode debug 

5.geler l'antivirus et toutes les protections le temps de la MAJ .

6.remettre l'AV .

7.repasser en mode site actif.

8. faire un tour complet du site.

9. après debuggage passer en mode  prod.

PS: normalement tout hébergeur sérieux dispose de fonctions de sauvegarde automatique sur plusieurs jours permettant de revenir en arrière...

 

 

 

 

 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More